import fs from 'fs';
import normalizeNewline from 'normalize-newline';
import path from 'path';
function normalize(dir, file) {
    const filename = path.join(dir, file);
    const data = fs.readFileSync(filename, 'utf-8');
    const normalizedData = normalizeNewline(data);
    fs.writeFileSync(filename, normalizedData);
}
function normalizeField(pkg, dir, field) {
    if (pkg[field]) {
        if (pkg[field] instanceof Object) {
            Object.keys(pkg[field]).forEach((key) => normalize(dir, pkg[field][key]));
        }
        else {
            normalize(dir, pkg[field]);
        }
    }
}
export function normalizeScripts(pkg, dir, files) {
    normalizeField(pkg, dir, 'bin');
    files.forEach((file) => normalize(dir, file));
}
//# sourceMappingURL=scripts.js.map